API दस्तावेज़ीकरण
Create Payments Contact
post
/api/v1/Payments/contactsPayments
पैरामीटर
version
path · string
आवश्यक
अनुरोध निकाय
{
"contactType": 1,
"currency": "USD",
"firstName": "Alex",
"lastName": "Morgan",
"email": "alex@example.com",
"legalName": "Alex Morgan",
"isCompany": true,
"defaultReference": "Example",
"bankIban": "Example",
"bankBic": "Example",
"intermediaryBankBic": "Example",
"intermediaryBankAccount": "Example",
"bankSortCode": "Example",
"bankAccountNumber": "Example",
"paymentRail": "Example",
"bankRoutingNumber": "Example",
"bankName": "Alex Morgan",
"bankAddress": "Example",
"bankCountry": "Example",
"beneficiaryCountry": "Example",
"beneficiaryAddressLine1": "Example",
"beneficiaryAddressLine2": "Example",
"beneficiaryCity": "Example",
"beneficiaryPostCode": "Example",
"internalUserId": "1001",
"internalAccountId": 1001,
"cryptoAddress": "Example",
"cryptoNetwork": "Example",
"cryptoMemo": "Example"
}जवाब
- 200Successapplication/json
{ "id": "1001", "name": "Alex Morgan", "group": "Example", "currency": { "name": "Alex Morgan", "value": "Example", "isCrypto": true, "needMemo": true, "networks": [ { "name": "Alex Morgan", "value": "Example", "symbol": "EURUSD" } ], "title": "Example", "protocol": "Example", "maxTokenDecimals": 1, "isTest": true, "usingTokenBalance": true, "minimumDeposits": {}, "isOnMultipleNetworks": true }, "createdDate": "2026-07-20T09:00:00Z", "contactType": 1, "isAdminContact": true, "isCompanyContact": true, "isEnabled": true, "identifiers": [ { "name": "Alex Morgan", "value": "Example" } ], "maxReferenceLength": 1, "lastUsedDate": "2026-07-20T09:00:00Z", "lastUsedAmount": 1000, "lastUsedCurrency": { "name": "Alex Morgan", "value": "Example", "isCrypto": true, "needMemo": true, "networks": [ { "name": "Alex Morgan", "value": "Example", "symbol": "EURUSD" } ], "title": "Example", "protocol": "Example", "maxTokenDecimals": 1, "isTest": true, "usingTokenBalance": true, "minimumDeposits": {}, "isOnMultipleNetworks": true }, "lastUsedRecipientEmail": "alex@example.com", "lastUsedReference": "Example", "defaultReference": "Example", "approvalStatus": "Example" } - 400Bad Requestapplication/json
"Example"